from suit.apps import DjangoSuitConfig
from suit.menu import ParentItem, ChildItem

class CustomAdminConfig(DjangoSuitConfig):
    #default_site = 'NovaBilling.site.DashboardSite'
    layout = 'horizontal'
    toggle_changelist_top_actions = True
    list_per_page = 50
    
    menu = (
        ParentItem(app='portal',
                   icon='fa fa-bank',
                   children=[
                       ChildItem(model='portal'),
                   ],),
        ParentItem(app='device',
                   icon='fa fa-leaf',
                   children=[
                       ChildItem(model='device'),
                       ChildItem(model='group'),
                   ],),
        ParentItem(app='appstore',
                   icon='fa fa-bank',
                   children=[
                       ChildItem(model='application'),
                   ],),        
        ParentItem(app='distributor',
                   icon='fa fa-user',),
    )