from django.conf.urls import url
from rest_framework.urlpatterns import format_suffix_patterns
from device import views


# import views 
urlpatterns = [
    url(r'^device/restore', views.restoreView),
    url(r'^device/register', views.registeryView),
    url(r'^device/get', views.getHardwareView),
    url(r'^device/portals$', views.DevicePortalViewSet.as_view()),
]
urlpatterns = format_suffix_patterns(urlpatterns)

