# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.shortcuts import render
from rest_framework.views import APIView
from rest_framework.response import Response
from portal.models import portalSerializer,portal
from PortalManager import message,settings

# Create your views here.

class PortalViewSet(APIView):
    def feedback(self, request, format=None):
        portals = portal.objects.filter(enable=True).order_by('order').all()
        serializer = portalSerializer(data=portals, many=True)
        serializer.is_valid()
        responseMsg={}
        responseMsg['status'] = 0
        responseMsg['data'] = serializer.data
        return message.json_response(responseMsg, settings.SECURITY_KEY, True)
        
    def get(self, request, format=None): 
        return self.feedback(request, format)
    
    def post(self, request, format=None):
        return self.feedback(request, format)